Module ij
Package ij

# Interface ImageListener

All Known Implementing Classes:
  `EventListener`, `HistogramWindow`, `Orthogonal_Views`, `PlotWindow`, `Recorder`, `SyncWindows`, `ThresholdAdjuster`

public interface ImageListener
Plugins that implement this interface are notified when an image is opened, closed or updated. The Plugins/Utilities/Monitor Events command uses this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`imageClosed(ImagePlus imp)`
`void`
`imageOpened(ImagePlus imp)`
`void`
`imageUpdated(ImagePlus imp)`

## Method Details

### imageOpened

void imageOpened(ImagePlus imp)

### imageClosed

void imageClosed(ImagePlus imp)

### imageUpdated

void imageUpdated(ImagePlus imp)